use dioxus::prelude::*;

use crate::Route;

#[component]
pub fn TransactionPage(id: String) -> Element {
    let id = use_signal(|| id.clone());
    let transaction = use_resource(move || async move {
        crate::api::API::get_transaction(id.read().to_string()).await
    });

    rsx! {

            match transaction.value()()  {
                Some(transaction) => rsx! {

                    button {
                        onclick: move |_| {
                            navigator().push(Route::ConsumePage { id: transaction.uuid.clone(), item: transaction.item.clone(), variant: transaction.variant.clone() });
                        },
                        "Consume"
                    },

    div {
                id: "column",

                div {
                    id: "row",

                    // TODO : transaction qr code

                    div {
                        id: "col-1",

                        p { {crate::API.read().as_ref().unwrap().get_item(transaction.item.clone()).unwrap().name.as_str()} }
                        // TODO : variant name
                        // timestamp
                    }
                },

                // TODO : expired notify

                // icon texts

                // price
                p { {transaction.price.to_string()} },
                // origin
                // location
                // note


                // consume info
            }
                },
                None => rsx! { p { "Loading..." }}
            }


        }
}
